%define	name	tpb
%define	version	0.6.4
%define	release	%mkrel 3

Name:		%{name}
Summary:	Program to use the IBM ThinkPad(tm) special keys
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://www.nongnu.org/tpb/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.xinit
Patch0:		%{name}rc.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	xosd-devel >= 2.0

%description
This program enables the IBM Thinkpad(tm) special keys. It is possible to bind
a program to the ThinkPad button. It has a on-screen display (OSD) to show
volume, mute and brightness of the LCD.

%prep
%setup -q
%patch0 -p1 -b .orig

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/X11/xinit.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/X11/xinit.d/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README CREDITS ChangeLog doc/callback_example.sh
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/X11/xinit.d/tpb
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/tpbrc
%{_mandir}/man1/*


%changelog
* Tue Sep 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.4-3mdv2008.0
+ Revision: 78881
- rebuild
- Import tpb



* Sat Jul 15 2006 Michael Reinsch <mreinsch@mandriva.org> 0.6.4-2mdv2007.0
- no need to patch /etc/modules any more, kernel 2.4 is no longer supported
- do need to patch /etc/security/console.perms any more, configuration for
  /dev/nvram is already present since several releases (now in 
  /etc/security/console.perms.d/50-mandriva.perms)
- no longer bzip2ed patch

* Wed Jan 04 2006 Lenny Cartier <lenny@mandriva.com> 0.6.4-1mdk
- 0.6.4

* Mon Aug 23 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.3-1mdk
- 0.6.3
- update patch

* Wed Mar 24 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-2mdk
- increase polltime to reduce CPU usage under 2.6 kernels (#9193) 
  (thanks to Michael Reinsch)

* Sun Dec 14 2003 Per ?yvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-1mdk
- 0.6.0
- fix buildrequires (lib64..)

* Mon Jun 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-2mdk
- from Michael Reinsch <mr@uue.org> :
	- add nvram entry to console.perms if required
	- launch it from xinit.d
	- provide a nicer default config

* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- from Michael Reinsch <mr@uue.org> :
	- add nvram entries to modules.conf if required
	- first mandrake spec file
